
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef locoDemo_TCLSERV_CLIENT_MSG_LIB_H
#define locoDemo_TCLSERV_CLIENT_MSG_LIB_H

#include <server/locoDemoType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int locoDemoTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int locoDemoTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int locoDemoTclservClientGetConfigRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int locoDemoTclservClientGetConfigReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GENPOS_CART_STATE *(out_robot),
			       int *bilan);

int locoDemoTclservClientGetConfigRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GENPOS_CART_STATE *(out_robot),
				 int *bilan);




int locoDemoTclservClientSetConfigRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GENPOS_CART_STATE *(in_robot)
		);

int locoDemoTclservClientSetConfigReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int locoDemoTclservClientSetConfigRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GENPOS_CART_STATE *(in_robot) ,
				 
				 int *bilan);




int locoDemoTclservClientGetRefRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int locoDemoTclservClientGetRefReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GENPOS_CART_REF *(out_ref),
			       int *bilan);

int locoDemoTclservClientGetRefRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GENPOS_CART_REF *(out_ref),
				 int *bilan);




int locoDemoTclservClientSetRefRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GENPOS_CART_REF *(in_ref)
		);

int locoDemoTclservClientSetRefReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int locoDemoTclservClientSetRefRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GENPOS_CART_REF *(in_ref) ,
				 
				 int *bilan);




int locoDemoTclservClientGetCmdParamRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int locoDemoTclservClientGetCmdParamReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       GENPOS_CART_CMD_PARAM *(out_cmd),
			       int *bilan);

int locoDemoTclservClientGetCmdParamRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 GENPOS_CART_CMD_PARAM *(out_cmd),
				 int *bilan);




int locoDemoTclservClientSetCmdParamRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 GENPOS_CART_CMD_PARAM *(in_cmd)
		);

int locoDemoTclservClientSetCmdParamReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int locoDemoTclservClientSetCmdParamRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 GENPOS_CART_CMD_PARAM *(in_cmd) ,
				 
				 int *bilan);




int locoDemoTclservClientStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int locoDemoTclservClientStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int locoDemoTclservClientStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int locoDemoTclservClientTrackRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GENPOS_POSTER_NAME *(in_posterName) 
		);

int locoDemoTclservClientTrackReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int locoDemoTclservClientTrackRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GENPOS_POSTER_NAME *(in_posterName) ,
				
				int *bilan);

int locoDemoTclservClientTrackRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GENPOS_POSTER_NAME *(in_posterName) ,
					
					int *bilan);




int locoDemoTclservClientSurvLineRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 SURV_LINE_STR *(in_survLineStr) 
		);

int locoDemoTclservClientSurvLineReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int locoDemoTclservClientSurvLineRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				SURV_LINE_STR *(in_survLineStr) ,
				
				int *bilan);

int locoDemoTclservClientSurvLineRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					SURV_LINE_STR *(in_survLineStr) ,
					
					int *bilan);




int locoDemoTclservClientSetPomRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GENPOS_POSTER_NAME *(in_mePosterName) 
		);

int locoDemoTclservClientSetPomReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int locoDemoTclservClientSetPomRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GENPOS_POSTER_NAME *(in_mePosterName) ,
				
				int *bilan);

int locoDemoTclservClientSetPomRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GENPOS_POSTER_NAME *(in_mePosterName) ,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* locoDemoTCLSERV_CLIENT_MSG_LIB_H */

